unit StandardUnit6;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ComCtrls,
  scControls, Vcl.StdCtrls, MainUnit;

type
  TStandardFrame6 = class(TFrame)
    scLabel1: TscLabel;
    scComboBox1: TscComboBox;
    scCheckBox1: TscCheckBox;
    scLabel2: TscLabel;
    scComboBox2: TscComboBox;
    scCheckBox2: TscCheckBox;
    scCheckBox3: TscCheckBox;
    scLabel3: TscLabel;
    scComboBox3: TscComboBox;
    scCheckBox4: TscCheckBox;
    scListView1: TscListView;
    scTreeView1: TscTreeView;
    scCheckBox5: TscCheckBox;
    scCheckBox6: TscCheckBox;
    scCheckBox7: TscCheckBox;
    procedure scComboBox1Click(Sender: TObject);
    procedure scComboBox2Click(Sender: TObject);
    procedure scCheckBox1Click(Sender: TObject);
    procedure scCheckBox2Click(Sender: TObject);
    procedure scCheckBox3Click(Sender: TObject);
    procedure scComboBox3Click(Sender: TObject);
    procedure scCheckBox4Click(Sender: TObject);
    procedure scCheckBox5Click(Sender: TObject);
    procedure scCheckBox6Click(Sender: TObject);
    procedure scCheckBox7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TStandardFrame6.scCheckBox1Click(Sender: TObject);
begin
  scTreeView1.ShowFocusRect := scCheckBox1.Checked;
  scListView1.ShowFocusRect := scCheckBox1.Checked;
end;

procedure TStandardFrame6.scCheckBox2Click(Sender: TObject);
begin
  scTreeView1.ShowLines := scCheckBox2.Checked;
end;

procedure TStandardFrame6.scCheckBox3Click(Sender: TObject);
begin
  if scCheckBox3.Checked then
  begin
    scTreeView1.ButtonImages := MainForm.ImageList2;
    scTreeView1.ButtonCollapseImageIndex := 11;
    scTreeView1.ButtonExpandImageIndex := 12;
  end
  else
  begin
    scTreeView1.ButtonImages := nil;
    scTreeView1.ButtonCollapseImageIndex := -1;
    scTreeView1.ButtonExpandImageIndex := -1;
  end;
end;

procedure TStandardFrame6.scCheckBox4Click(Sender: TObject);
begin
  scListView1.Checkboxes := scCheckBox4.Checked;
end;

procedure TStandardFrame6.scCheckBox5Click(Sender: TObject);
begin
  scListView1.GridLines := scCheckBox5.Checked;
end;

procedure TStandardFrame6.scCheckBox6Click(Sender: TObject);
begin
  scListView1.AlternateRow := scCheckBox6.Checked;
end;

procedure TStandardFrame6.scCheckBox7Click(Sender: TObject);
begin
  scListView1.RowSelect := scCheckBox7.Checked;
end;

procedure TStandardFrame6.scComboBox1Click(Sender: TObject);
begin
  scTreeView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
  scListView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
end;

procedure TStandardFrame6.scComboBox2Click(Sender: TObject);
begin
  scTreeView1.ButtonStyle := TscExpandButtonStyle(scComboBox2.ItemIndex);
end;

procedure TStandardFrame6.scComboBox3Click(Sender: TObject);
begin
  scListView1.ViewStyle := TViewStyle(scComboBox3.ItemIndex);
end;

end.
